Bug 123887 - (TB8d0a9083) internet-druid crashed when i try to save a new isdn connection
internet-druid crashed when i try to save a new isdn connection
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-21 07:56 EDT by schiebe
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 09:07:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description schiebe 2004-05-21 07:56:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
I started the wizard to create a new isdn connection. On the end i try
to save it.
Then comes that:
 
Component: system-config-network
Version: 1.3.16
Summary: TB8d0a9083 Conf.py:344:initvars:Conf.IndexError: end quote
not found in //etc/sysconfig/networking/devices/ifcfg-T_Online:USER
Traceback (most recent call last):
  File
"/usr/src/build/377922-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py",
line 784, in on_applyButton_clicked
  File
"/usr/src/build/377922-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py",
line 372, in save
  File
"/usr/src/build/377922-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py",
line 412, in saveIPsecs
  File
"/usr/src/build/377922-noarch/install/usr/share/system-config-network/netconfpkg/NCIPsecList.py",
line 79, in save
  File
"/usr/src/build/377922-noarch/install/usr/share/system-config-network/netconfpkg/NCIPsec.py",
line 24, in __init__
  File "/usr/lib/python2.3/site-packages/rhpl/Conf.py", line 320, in
__init__
    separators='=', separator='=')
  File "/usr/lib/python2.3/site-packages/rhpl/Conf.py", line 181, in
__init__
    self.read()
  File "/usr/lib/python2.3/site-packages/rhpl/Conf.py", line 324, in read
    self.initvars()
  File "/usr/lib/python2.3/site-packages/rhpl/Conf.py", line 344, in
initvars
    raise IndexError, 'end quote not found in '+self.filename+':'+var[0]
Conf.IndexError: end quote not found in
//etc/sysconfig/networking/devices/ifcfg-T_Online:USER

Local variables in innermost frame:
var: ['USER', '0006xxxxxxxxxxxxxxxx#@t-online.de']
p: -39
self: <netconfpkg.NCIPsec.ConfIPsec instance at 0xf6aa482c>
quote: '

(The x are edited by me) 

My isdn interface is an AVM Frtiz Card PCI. This one works in RH9
perfect. 

Version-Release number of selected component (if applicable):
sytem-config-network (the default version on FC2)

How reproducible:
Always

Steps to Reproduce:
1.Create a new isdn connection.
2.Try to save it. 
3.
    

Additional info:
Comment 1 Harald Hoyer 2004-05-21 09:08:43 EDT
strange...
what is the contents of:
//etc/sysconfig/networking/devices/ifcfg-T_Online:USER
Comment 2 schiebe 2004-05-21 14:56:21 EDT
Okay...Now i re-installed FC2 as "Personal Desktop" and now it works. 
The only Problem now is that this plug in system-control-network shows
still offline altough iam online. 

regards 

That was the config on my first install of FC2

# Please read /usr/share/doc/initscripts-*/sysconfig.txt
# for the documentation of these parameters.
USERCTL=yes
PEERDNS=yes
TYPE=ISDN
DEVICE=ippp0
BOOTPROTO=dialup
ONBOOT=no
DEFROUTE=yes
PERSIST=off
SECURE=off
BUNDLING=off
HUPTIMEOUT=600
DIALMODE=manual
ENCAP=syncppp
USER='xxxxxxxxxxxxx#@t-online.de'
PHONE_OUT=11
AUTH='+pap -chap'
AREACODE=01910
PROVIDER=T-Online
CALLBACK=off
CCP=off
PC=off
AC=off
BSDCOMP=off
VJ=off
VJCCOMP=off

Note You need to log in before you can comment on or make changes to this bug.